iv_init(3)

NAME
iv_init, iv_deinit, iv_inited - initialise and deinitialise ivykis

SYNOPSIS
#include <iv.h>

void iv_init(void);
void iv_deinit(void);
int iv_inited(void);

DESCRIPTION
iv_init initialises the current thread's ivykis event loop.

Each thread that wants to use ivykis must call iv_init before any other ivykis functions are called.

The very first call to iv_init in a process must run to completion before other threads are allowed to call iv_init, but subsequent calls to iv_init can be done concurrently.

iv_deinit frees all resources allocated by ivykis in this thread, and should be called before this thread exits.

iv_inited returns true if iv_init has been called in this thread. After iv_deinit is called, it will return false.

SEE ALSO
ivykis(3), iv_examples(3)